@import '../../theme/palette';
@import '../../theme/sizing';
@import '../../theme/typography';

.navbar-section {
  background-color: $color_yellow;
  box-sizing: border-box;
  padding: 50px 5% 0;

  @media #{$size_query-l} {
    padding: 50px 50px 0;
  }

}

.navbar-container {
  display: flex;
  align-items: center;

  @media #{$size_query-l} {
    max-width: 995px;
    margin: 0 auto;
  }
}

.navbar-logo {
  fill: $color_black;
  width: 40px;
  height: 40px;
  margin-right: 5px;
}

.navbar-title {
  @include header($color_black);
  margin: 0;
  flex-grow: 1;
  text-align: left;
}

.navbar-menu-box{
  box-sizing: border-box;
  padding-top: 8px;
  display: none;

  @media #{$size_query-m} {
    display: initial;
  }
}

.navbar-menu-item {
  @include subheader($color_black);
  font-weight: bold;
  text-decoration: none;
  margin-left: 10px;

  &:hover {
    color: $color_light-gray;
    border-bottom: 2px solid $color_light-gray;
  }

  @media #{$size_query-l} {
    max-width: 995px;
    margin-left: 60px;
  }
}